## coq-highschoolgeometry 8.4+20150620

=== Makefile ===
##########################################################################
##  v      #                  The Coq Proof Assistant                   ##
## <O___,, # CNRS-Ecole Polytechnique-INRIA Futurs-Universite Paris Sud ##
##   \VV/  #                                                            ##
##    //   #   Makefile automagically generated by coq_makefile V8.2    ##
##########################################################################

# WARNING
#
# This Makefile has been automagically generated
# Edit at your own risks !
#
# END OF WARNING

#
# This Makefile was generated by the command line :
# coq_makefile -f Make -o Makefile 
#

#########################
#                       #
# Libraries definition. #
#                       #
#########################

OCAMLLIBS:=
COQLIBS:= -R . HighSchoolGeometry
COQDOCLIBS:=-R . HighSchoolGeometry

##########################
#                        #
# Variables definitions. #
#                        #
##########################

CAMLP4LIB:=$(shell $(CAMLBIN)camlp5 -where 2> /dev/null || $(CAMLBIN)camlp4 -where)
CAMLP4:=$(notdir $(CAMLP4LIB))
COQSRC:=-I $(COQTOP)/kernel -I $(COQTOP)/lib \
  -I $(COQTOP)/library -I $(COQTOP)/parsing \
  -I $(COQTOP)/pretyping -I $(COQTOP)/interp \
  -I $(COQTOP)/proofs -I $(COQTOP)/syntax -I $(COQTOP)/tactics \
  -I $(COQTOP)/toplevel -I $(COQTOP)/contrib/correctness \
  -I $(COQTOP)/contrib/extraction -I $(COQTOP)/contrib/field \
  -I $(COQTOP)/contrib/fourier -I $(COQTOP)/contrib/graphs \
  -I $(COQTOP)/contrib/interface -I $(COQTOP)/contrib/jprover \
  -I $(COQTOP)/contrib/omega -I $(COQTOP)/contrib/romega \
  -I $(COQTOP)/contrib/ring -I $(COQTOP)/contrib/xml \
  -I $(CAMLP4LIB)
ZFLAGS:=$(OCAMLLIBS) $(COQSRC)
OPT:=
COQFLAGS:=-q $(OPT) $(COQLIBS) $(OTHERFLAGS) $(COQ_XML)
COQC:=$(COQBIN)coqc
COQDEP:=$(COQBIN)coqdep -c
GALLINA:=$(COQBIN)gallina
COQDOC:=$(COQBIN)coqdoc
CAMLC:=$(CAMLBIN)ocamlc -rectypes -c
CAMLOPTC:=$(CAMLBIN)ocamlopt -c
CAMLLINK:=$(CAMLBIN)ocamlc
CAMLOPTLINK:=$(CAMLBIN)ocamlopt
GRAMMARS:=grammar.cma
CAMLP4EXTEND:=pa_extend.cmo pa_macro.cmo q_MLast.cmo
PP:=-pp "$(CAMLBIN)$(CAMLP4)o -I . -I $(COQTOP)/parsing $(CAMLP4EXTEND) $(GRAMMARS) -impl"

###################################
#                                 #
# Definition of the "all" target. #
#                                 #
###################################

VFILES:=affine_classiques.v\
  aire_signee.v\
  alignement.v\
  angles_droites.v\
  angles_vecteurs.v\
  applications_cocyclicite.v\
  barycentre.v\
  cercle.v\
  cocyclicite.v\
  complexes_conjugaison.v\
  complexes_dilatations.v\
  complexes_exercice.v\
  complexes_similitudes.v\
  complexes_transformations.v\
  complexes.v\
  composee_dilatations.v\
  composee_reflexions.v\
  composee_transformations.v\
  composee_translation_rotation.v\
  coplanarite.v\
  determinant.v\
  dilatations.v\
  distance_euclidienne.v\
  Droite_espace.v\
  droite_Euler.v\
  Droite_plan_espace.v\
  equations_droites.v\
  euclidien_classiques.v\
  exercice_espace.v\
  Field_affine.v\
  formes_complexes.v\
  homothetie_plane.v\
  homoth_Euler.v\
  isocele.v\
  mediatrice.v\
  mesure_algebrique.v\
  metrique_triangle.v\
  milieu.v\
  operations_complexes.v\
  orthocentre.v\
  orthogonalite_espace.v\
  orthogonalite.v\
  parallelisme_concours.v\
  Plan_espace.v\
  Plans_paralleles.v\
  produit_scalaire.v\
  projection_orthogonale.v\
  reflexion_plane.v\
  repere_ortho_plan.v\
  repere_plan.v\
  representant_unitaire.v\
  rotation_plane.v\
  Rutile.v\
  similitudes_directes.v\
  trigo.v\
  vecteur.v\
  transformations_contact.v\
  puissance_cercle.v\
  inversion.v\
  equations_cercles.v\
  contact.v\
  complexes_inversion.v\
  complexes_analytique.v\
  complements_cercle.v
VOFILES:=$(VFILES:.v=.vo)
GLOBFILES:=$(VFILES:.v=.glob)
VIFILES:=$(VFILES:.v=.vi)
GFILES:=$(VFILES:.v=.g)
HTMLFILES:=$(VFILES:.v=.html)
GHTMLFILES:=$(VFILES:.v=.g.html)

all: $(VOFILES) 
spec: $(VIFILES)

gallina: $(GFILES)

html: $(GLOBFILES) $(VFILES)
	- mkdir html
	$(COQDOC) -toc -html $(COQDOCLIBS) -d html $(VFILES)

gallinahtml: $(GLOBFILES) $(VFILES)
	- mkdir html
	$(COQDOC) -toc -html -g $(COQDOCLIBS) -d html $(VFILES)

all.ps: $(VFILES)
	$(COQDOC) -toc -ps $(COQDOCLIBS) -o $@ `$(COQDEP) -sort -suffix .v $(VFILES)`

all-gal.ps: $(VFILES)
	$(COQDOC) -toc -ps -g $(COQDOCLIBS) -o $@ `$(COQDEP) -sort -suffix .v $(VFILES)`



####################
#                  #
# Special targets. #
#                  #
####################

.PHONY: all opt byte archclean clean install depend html

%.vo %.glob: %.v
	$(COQC) -dump-glob $*.glob $(COQDEBUG) $(COQFLAGS) $*

%.vi: %.v
	$(COQC) -i $(COQDEBUG) $(COQFLAGS) $*

%.g: %.v
	$(GALLINA) $<

%.tex: %.v
	$(COQDOC) -latex $< -o $@

%.html: %.v %.glob
	$(COQDOC) -glob-from $*.glob  -html $< -o $@

%.g.tex: %.v
	$(COQDOC) -latex -g $< -o $@

%.g.html: %.v %.glob
	$(COQDOC) -glob-from $*.glob -html -g $< -o $@

%.v.d: %.v
	$(COQDEP) -glob -slash $(COQLIBS) "$<" > "$@" || ( RV=$$?; rm -f "$@"; exit $${RV} )

byte:
	$(MAKE) all "OPT:=-byte"

opt:
	$(MAKE) all "OPT:=-opt"

install:
	mkdir -p `$(COQC) -where`/user-contrib
	cp -f $(VOFILES) `$(COQC) -where`/user-contrib

Makefile: Make
	mv -f Makefile Makefile.bak
	$(COQBIN)coq_makefile -f Make -o Makefile


clean:
	rm -f *.cmo *.cmi *.cmx *.o $(VOFILES) $(VIFILES) $(GFILES) *~
	rm -f all.ps all-gal.ps all.glob $(VFILES:.v=.glob) $(HTMLFILES) $(GHTMLFILES) $(VFILES:.v=.tex) $(VFILES:.v=.g.tex) $(VFILES:.v=.v.d)
	- rm -rf html

archclean:
	rm -f *.cmx *.o


-include $(VFILES:.v=.v.d)
.SECONDARY: $(VFILES:.v=.v.d)

# WARNING
#
# This Makefile has been automagically generated
# Edit at your own risks !
#
# END OF WARNING

=== debian/changelog ===
coq-highschoolgeometry (8.4+20150620-1) unstable; urgency=low

  * Initial release (Closes: #789432)

 -- Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>  Sat, 20 Jun 2015 18:58:01 +1000

=== debian/control ===
Source: coq-highschoolgeometry
Section: math
Priority: optional
Maintainer: Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>
Build-Depends: debhelper (>= 9), coq, camlp4
Standards-Version: 3.9.6
Homepage: http://www-sop.inria.fr/lemme/Frederique.Guilhot/geometrie.html

Package: coq-highschoolgeometry
Architecture: all
Depends: ${misc:Depends}, coq
Description: coq library for high school geometry proofs/formalisation
 Created by Frédérique Guilhot, this library consists of a collection of
 "chapters" spanning most of the geometry taught in French high schools.
 .
 The first part "2-3 dimensional affine geometry" deals with formalising:
  points, vectors, barycenters, oriented lengths
  collinearity, coplanarity
  parallelism and incidence of straight lines
  proofs of Thales and Desargues theorems.
 .
 In the second part "3 dimensional affine geometry", theorems about these
 things are proven:
  relative positions of two straight lines in the space
  relative positions of a straight line and a plane
  relative positions of two planes
  parallelism and incidence properties for several planes and straight lines
 .
 The third part "2-3 dimensional euclidean geometry" deals with formalising:
  scalar product, orthogonal vectors, and unitary vectors
  Euclidean distance and orthogonal projection on a line
  proofs of Pythagorean theorem, median theorem
 .
 The fourth part "space orthogonality" deals with formalising:
  orthogonal line and plan
 .
 The fifth part "plane euclidean geometry" deals with formalising:
  affine coordinate system, orthogonal coordinate system, affine coordinates  
  oriented angles
  trigonometry
  proofs of Pythagorean theorem, median theorem, Al-Kashi and sine theorems
  perpendicular bisector, isocel triangle, orthocenter
  circle, cocyclicity, tangency (line or circle tangent) 
  signed area, determinant
  equations for straight lines and circles in plane geometry 
 .
 The sixth part "plane transformations", deals with formalising:
  translations, homothety 
  rotations, reflexions
  composition of these transformations.
  conservation of tangency for these transformations.
 .
 In the seventh part "applications", these are proven:
  Miquel's theorem, orthocenter theorem, Simson line
  circle power and plane inversion
  Euler line theorem and nine point circle theorem
 .
 The eighth part "complex numbers", deals with formalising:
  the field properties of complex numbers
  application to geometry of complex numbers

=== debian/watch ===
# Coq's user contribution website does not provide a way to check for new
# versions automatically (at least as far as I can tell)
